# CMIP6 analysis

This repo contains code contributing to Grose, Narsey, Delage, Dowdy, Bador, Boschat, Chung, Kajtar, Rauniyar, Freund, Lyu, Rashid, Zhang, Wales, Trenham, Holbrook, Cowan, Alexander, Arblaster, Power (in review, 2020), https://www.essoar.org/doi/pdf/10.1002/essoar.10501525.1

The scripts are a mixture of Python, Matlab, R, and bash, and are contributed by respective authors, to produce the analyses presented in the above paper.

Where paths are given, they refer to NCI file systems, where raw and regridded CMIP5 and CMIP6 data are stored.

This repository is published via Zenodo: <link TBA>

The code was contributing by the following authors:
* Figure 1 - Sugata Narsey
* Figure 2 - Christine Chung
* Figure 3 - Sugata Narsey
* Figure 4 - Sugata Narsey
* Figure 5 - Francois Delage
* Figure 6 - Jules Kajtar
* Figure 7 - Kewei Lyu
* Figure 8 - Michael Grose (data)
* Figure 9 - Surendra Rauniyar
* Figure 10 - Surendra Rauniyar
* Figure 11 - Margot Bador
* Climdex climate extremes code - Scott Wales
* Supplementary Figure 1 - Margot Bador
* Supplementary Figure 2 - Margot Bador
* Supplementary Figure 3 - Margot Bador
* Supplementary Figure 4a - Harun Rashid
* Supplementary Figure 4b - Mandy Freund
* Supplementary Figure 5 - Ghyslaine Boschat
* Supplementary Figure 6 - Michael Grose (data)
* Supplementary Figure 7 - Surendra Rauniyar
* Supplementary Figure 8 - Margot Bador
