#!/bin/bash
#PBS -q expressbw
#PBS -l ncpus=28
#PBS -l mem=128gb
#PBS -l walltime=12:00:00
#PBS -l jobfs=500gb
#PBS -l wd
#PBS -P w40
#PBS -W umask=22
#PBS -j oe

set -eu

module load conda
module load R
python run_climpact_ssp.py $RUN < candidates_dict.json

touch ${OUTDIR}/${RUN}/climpact.done
