% % % Kewei Lyu, CSIRO, Kewei.Lyu@csiro.au. 2019.
% % %

ifile=[ipath var '_' realm '_' mna '_' exp{EXP} '_*.nc'];
ifile_structure=dir(ifile);

if length(ifile_structure)>1
    filename=strcat(ipath,ifile_structure(1).name);
    
    for i=2:length(ifile_structure)
        filename=strcat(filename,32,ipath,ifile_structure(i).name);    
    end

    start_time=ifile_structure(1).name(end-15:end-10);
      end_time=ifile_structure(end).name(end-8:end-3);
      
output=strcat(opath,ifile_structure(1).name(1:end-16),start_time,'-',end_time,'_',fre,'.nc');
if isempty(file_structure)
    disp('Copy data from original folder')
if strcmp(fre,'yearmean') 
string=['/apps/cdo/1.9.5/bin/cdo -s yearmean -mergetime ' filename blanks(1) output];
elseif strcmp(fre,'monthly') 
string=['/apps/cdo/1.9.5/bin/cdo -s mergetime ' filename blanks(1) output];  
end
system(string);
end

elseif length(ifile_structure)==1
    filename=strcat(ipath,ifile_structure.name);
    output=strcat(opath,ifile_structure.name(1:end-3),'_',fre,'.nc');
if isempty(file_structure)
    disp('Copy data from original folder')
if strcmp(fre,'yearmean') 
string=['/apps/cdo/1.9.5/bin/cdo -s yearmean ' filename blanks(1) output];
elseif strcmp(fre,'monthly')
string=['/apps/cdo/1.9.5/bin/cdo -s copy ' filename blanks(1) output];    
end
system(string);
end

end
