#!/bin/bash
#PBS -l ncpus=16
#PBS -l mem=32gb
#PBS -l walltime=4:00:00
#PBS -l jobfs=500gb
#PBS -l wd
#PBS -q normal
#PBS -j oe

module use /g/data/hh5/public/modules
module load conda
module load R

echo INDEX=$INDEX

export OUTPUT=/g/data/w35/saw562/climpact

python run_climpact.py $INDEX < candidates.json

ls -lh $TMPDIR
