#!/bin/bash
#PBS -q expressbw
#PBS -l ncpus=28
#PBS -l mem=128gb
#PBS -l walltime=12:00:00
#PBS -l jobfs=500gb
#PBS -l wd
#PBS -P w40
#PBS -W umask=22
#PBS -j oe

set -eu

OUTDIR=/g/data/w40/saw562/climpact

module load conda
module load R
#python run_climpact_historical.py $RUN < candidates_dict.json
python run_climpact_historical.py $RUN < candidates_awap_slice.json

touch ${OUTDIR}/${RUN}/climpact.done
