% % % Kewei Lyu, CSIRO, Kewei.Lyu@csiro.au. 2019.
% % %
% % % merge data from ESGF download for a given model,experiment,variable
% % % calculate yearmean or just monthly
% % % need CDO (https://code.mpimet.mpg.de/projects/cdo/)
clear;clc;
cmip6_model_list; %  incomplete list
ipath='./download/';

fre='yearmean'; % or monthly
exp={'piControl','historical','ssp119','ssp126','ssp245',...
    'ssp370','ssp434','ssp460','ssp534-over','ssp585'};
VAR={'zos','zostoga','tauuo','tauvo'};

realm='Omon'; % or Amon for atmospheric data

for mn= 1:length(model)
ins=model{mn}{1};
mna=model{mn}{2};

for k= 1:length(VAR)
    var=VAR{k};  
    kk=0;
for EXP= 1:length(exp) 

opath=['./' var '/' fre '/'];
if ~exist(opath, 'dir')
   mkdir(opath)
end

file=[opath var '_' realm '_' mna '_' exp{EXP} '_*.nc'];
file_structure=dir(file);

if ~isempty(dir([ipath var '_' realm '_' mna '_' exp{EXP} '_*.nc'])) && isempty(file_structure) % if output data not exist yet 
kk=kk+1;
cmip6_merge_yearmean;   % ipath / opath
end % end if output data not exist yet

end % end loop for a certain experiment
end  % end loop for a variable
end  % end loop for a model
